Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Class ConnectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.mail.event.MailEvent
                  |
                  +--javax.mail.event.ConnectionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ConnectionEvent
extends MailEvent

This class models Connection events.

See Also:
  Serialized Form

Field Summary
`static int` | `CLOSED` A connection was closed.
`static int` | `DISCONNECTED` A connection was disconnected (not currently used).
`static int` | `OPENED` A connection was opened.
`protected int` | `type` The event type.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionEvent(java.lang.Object source, int type)` Constructor

Method Summary
`void` | `dispatch(java.lang.Object listener)` Invokes the appropriate ConnectionListener method
`int` | `getType()` Return the type of this event

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OPENED

    public static final int OPENED

  A connection was opened.

### DISCONNECTED

    public static final int DISCONNECTED

  A connection was disconnected (not currently used).

### CLOSED

    public static final int CLOSED

  A connection was closed.

### type

    protected int type

  The event type.

Constructor Detail

### ConnectionEvent

    public ConnectionEvent(java.lang.Object source,
                           int type)

  Constructor
  Parameters:
    `source` - The source object

Method Detail

### getType

    public int getType()

  Return the type of this event
  Returns:
    type

### dispatch

    public void dispatch(java.lang.Object listener)

  Invokes the appropriate ConnectionListener method
  Overrides:
    `dispatch` in class `MailEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD